use maud::{html, PreEscaped};

use crate::{templates, utils::theme};

pub fn build_template() -> PreEscaped<String> {
    let power_menu_template = html! {
        (PreEscaped("<!-- POWER MENU -->"))
        div class="card center" {
            div class="card-container" {
                div id="buttons" {
                    a id="rebootBtn" class="button button-primary center" href="/reboot" title="Reboot Device" { "Reboot" }
                    a id="shutdownBtn" class="button button-warning center" href="/shutdown" title="Shutdown Device" { "Shutdown" }
                    a id="cancelBtn" class="button button-secondary center" href="/" title="Cancel" { "Cancel" }
                }
            }
        }
    };

    let body = templates::nav::build_template(power_menu_template, "Power Menu", Some("/"));

    let theme = theme::get_theme();

    templates::base::build_template(body, theme)
}
